## org.biojava.bio.dp
Interface DPMatrix

All Known Implementing Classes:
  PairDPMatrix, SingleDPMatrix

    public interface DPMatrix

Author:
  Matthew Pocock

Method Summary
`double` `getCell(int[] index)`
`double` `getScore()`
`MarkovModel` `model()`
`State[]` `states()`
`SymbolList[]` `symList()`

Method Detail

### states

    State[] states()

### model

    MarkovModel model()

### symList

    SymbolList[] symList()

### getScore

    double getScore()

### getCell

    double getCell(int[] index)
                   throws IndexOutOfBoundsException

  Throws:
    `IndexOutOfBoundsException`